classification
Title: Backport set and dictionary comprehensions in tutorial to 2.7
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: asvetlov, docs@python, eric.araujo, ezio.melotti, fossilet, georg.brandl, python-dev
Priority: normal Keywords: patch

Created on 2012-11-14 07:43 by fossilet, last changed 2012-11-17 10:08 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
set_and_dict_comprehensions.diff fossilet, 2012-11-14 07:43 review
set_and_dict_comprehensions_1.diff fossilet, 2012-11-16 08:41 Patch to backport set and dictionary comprehensions in tutorial to 2.7 review
Messages (6)
msg175547 - (view) Author: Yongzhi Pan (fossilet) * Date: 2012-11-14 07:43
Dictionary and set comprehensions are backported to 2.7 in issue #2333. The are not documented in the tutorial of 2.7, though they are in the language reference. Is it OK to add these to the tutorial? I've uploaded a patch.
msg175599 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-11-15 04:52
Good idea.  Could you add a note that this is new in 2.7?  (Either using versionadded Sphinx directives or just remarks in plain English, not sure which one would be best.)
msg175600 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-11-15 06:10
We don't use versionadded/changed directives in the tutorial. (There was only one until 2 minutes ago, which was misplaced in any case.)
msg175670 - (view) Author: Yongzhi Pan (fossilet) * Date: 2012-11-16 08:41
I updated the patch according to the code review. Hope now it is OK.
msg175731 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-11-17 10:06
New changeset 2e2e7f398864 by Ezio Melotti in branch '2.7':
#16470: mention set and dict comprehension in the tutorial.  Patch by Yongzhi Pan.
http://hg.python.org/cpython/rev/2e2e7f398864
msg175732 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-17 10:08
Fixed, thanks for the patch!
I also rephrased the sentence on 3.x.
History
Date User Action Args
2012-11-17 10:08:06ezio.melottisetstatus: open -> closed
messages: + msg175732

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: patch review -> resolved
2012-11-17 10:06:57python-devsetnosy: + python-dev
messages: + msg175731
2012-11-16 08:41:23fossiletsetfiles: + set_and_dict_comprehensions_1.diff

messages: + msg175670
2012-11-15 15:29:11asvetlovsetnosy: + asvetlov
2012-11-15 06:10:44georg.brandlsetnosy: + georg.brandl
messages: + msg175600
2012-11-15 04:52:14eric.araujosetnosy: + eric.araujo
messages: + msg175599
2012-11-14 07:45:42ezio.melottisetnosy: + ezio.melotti

stage: patch review
2012-11-14 07:43:37fossiletcreate